Subject: SPARC Author Addendum compatibility

From: Harald Tveit Alvestrand <[email-masked]>
Date: Tue, 24 Jul 2007 20:18:21 -0500

In the WG meeting today, it was strongly suggested that the IETF would 
benefit from having its rules for licences from authors and authors' rights 
be compatible with the SPARC Author Addendum, which makes sure an author 
continues to have the right to reuse his contribution in other contexts.

I believe this has always been the intent of IETF's "assign no copyright" 
policy, but it would be a Good Thing to make sure that we are in fact 
compatible with that document.

The SPARC addendum is housed at:

<http://www.arl.org/sparc/author/>

The addendum itself can be found under the page (I had to generate a fake 
addendum; ymmv), and the critical part of text seems to be:

Author's Retention of Rights. Notwithstanding any terms in the Publication 
Agreement to the contrary, AUTHOR and PUBLISHER agree
that in addition to any rights under copyright retained by Author in the 
Publication Agreement, Author retains: (i) the rights to reproduce, to 
distribute, to publicly perform, and to publicly display the Article in any 
medium for non-commercial purposes; (ii) the right to prepare derivative 
works from the Article; and (iii) the right to authorize others to make any 
non-commercial use of the Article so long as Author receives credit as 
author and the journal in which the Article has been published is cited as 
the source of first publication of the Article. For example, Author may 
make and distribute copies in the course of teaching and research and may 
post the Article on personal or institutional Web sites and in other 
open-access digital repositories.

With some massage to fit with our commonly used vocabulary, I think adding 
such a section to the -incoming document (and explaining that our intent is 
to be compatible with the SPARC addendum) is a Good Thing.

Comments?

                Harald

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: "TS Glassey" <[email-masked]>
Date: Tue, 24 Jul 2007 18:49:47 -0700

Harald - if the IETF would adopt SPARC compliance I would love it... the 
SPARC models allow for copyrights to be conveyed to a third party (like the 
IETF for instance) and for the rights to the derivative works (in the form 
of product rights based on the core IP) to be retained, which is something 
that the original IETF coveted and extolled as its core value... 'we provide 
a standards process that doesnt require you give us sole control over the 
IP'...

The logic is simple. That being if creating standards is a key thing to do 
in the form of insuring interoperability, then the core of the value should 
not be creating 'open standards' but rather by creating 'standards' 
themselves. Why this is important is that it allows the IETF to bring in 
commercial IP's as well...

By the way - the IETF really does have an opportunity here that should be 
reviewed before its discounted... That being to allow proprietary IP's to be 
included in IETF actions on the following conditions:

1)    That all IP constraints for the use of this 'work' is disclosed by the 
IP owners in the filing. This assures that the IP's use requirements will be 
disclosed and known and will enable people to make reasonable choices what 
they want to "contribute their vetting hours" to.

2)    That the submitters of the proprietary IP warrant that they will 
defend their rights to file that IP with the IETF and will cover any IETF 
expenses based on that IP's induction into the IETF processes.

3)    That the derivative use rights for republishing the standardards 
documents, and their supporting Note Well archives are included in the #1 
requirement disclosure documents.

4)    That the work products of the IETF in these matters will not be the 
property of the IETF Trust, and that the IP owners will pay the IETF a 
yearly licensing fee (say $50K or somesuch like that)  for their keeping 
their IP 'registered' with the IETF. Failing to pay the registration fee 
'depublishes' the document and prevents its use or reference in other 
commercial documents... so the owners of these registered standards.

As to why? - the IETF gives away all of its power and its value... that 
being the 'any and all uses' forever language. In this model we get the best 
of all worlds and allow the people paying the bills to participate directly, 
something that the IETF has needed for some time now.

-------------------------------

This services model allows the IETF to offer corporate sponsors the ability 
to run propietary efforts, and ones  which will increase the value of the 
IETF to those sponsors too IMHO...

Todd

----- Original Message ----- 

From: "Harald Tveit Alvestrand" [email-masked]
To: <[email-masked]>
Sent: Tuesday, July 24, 2007 6:18 PM
Subject: SPARC Author Addendum compatibility

> benefit from having its rules for licences from authors and authors' 
> rights be compatible with the SPARC Author Addendum, which makes sure an 
> author continues to have the right to reuse his contribution in other 
> contexts.
>
> distribute, to publicly perform, and to publicly display the Article in 
> any medium for non-commercial purposes; (ii) the right to prepare 
> derivative works from the Article; and (iii) the right to authorize others 
> to make any non-commercial use of the Article so long as Author receives 
> credit as author and the journal in which the Article has been published 
> is cited as the source of first publication of the Article. For example, 
> Author may make and distribute copies in the course of teaching and 
> research and may post the Article on personal or institutional Web sites 
> and in other open-access digital repositories.
>
> such a section to the -incoming document (and explaining that our intent 
> is to be compatible with the SPARC addendum) is a Good Thing.
>
> Comments?
>
>                Harald
>

---

From: Simon Josefsson <[email-masked]>
Date: Wed, 25 Jul 2007 12:34:48 +0200

Harald Tveit Alvestrand <[email-masked]> writes:

> rights be compatible with the SPARC Author Addendum, which makes sure
> an author continues to have the right to reuse his contribution in
> other contexts.
>
> I believe this has always been the intent of IETF's "assign no
> copyright" policy, but it would be a Good Thing to make sure that we
> are in fact compatible with that document.
>
> The addendum itself can be found under the page (I had to generate a
> fake addendum; ymmv), and the critical part of text seems to be:
>
> Author's Retention of Rights. Notwithstanding any terms in the
> Publication Agreement to the contrary, AUTHOR and PUBLISHER agree
> that in addition to any rights under copyright retained by Author in
> the Publication Agreement, Author retains: (i) the rights to
> reproduce, to distribute, to publicly perform, and to publicly display
> the Article in any medium for non-commercial purposes; (ii) the right
> to prepare derivative works from the Article; and (iii) the right to
> authorize others to make any non-commercial use of the Article so long
> as Author receives credit as author and the journal in which the
> Article has been published is cited as the source of first publication
> of the Article. For example, Author may make and distribute copies in
> the course of teaching and research and may post the Article on
> personal or institutional Web sites and in other open-access digital
> repositories.
>
> With some massage to fit with our commonly used vocabulary, I think
> adding such a section to the -incoming document (and explaining that
> our intent is to be compatible with the SPARC addendum) is a Good
> Thing.
>
> Comments?

The SPARC addendum seems more limited than what "author retains all
rights" imply to me.  For example, the license doesn't permit commercial
use, and requires attribution.  I don't believe either should be in a
IETF "clarification" of the rules, and I don't think the addendum is
something that the IETF should adopt.

Generally, it seems better to explain that all rights are retained,
rather than to enumerate the things that the author can continue to do.

However, as the SPARC addendum is a sub-set of the rights retain by
authors of IETF document, clarifying that property may be useful.

/Simon

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 25 Jul 2007 14:59:04 +0200

On 2007-07-25 03:18, Harald Tveit Alvestrand wrote:
> copyright" policy, but it would be a Good Thing to make sure that we are 
> in fact compatible with that document.
> 
> derivative works from the Article; and (iii) the right to authorize 
> others to make any non-commercial use of the Article so long as Author 
> receives credit as author and the journal in which the Article has been 
> published is cited as the source of first publication of the Article. 
> For example, Author may make and distribute copies in the course of 
> teaching and research and may post the Article on personal or 
> institutional Web sites and in other open-access digital repositories.
> 
> adding such a section to the -incoming document (and explaining that our 
> intent is to be compatible with the SPARC addendum) is a Good Thing.
> 

Stating the intent is goodness (and as Simon says, the intent is even
broader). But I wonder whether crafting the legal wording isn't yet
another thing to punt to the Trust?

      Brian

---

From: John C Klensin <[email-masked]>
Date: Fri, 27 Jul 2007 17:36:31 -0400

--On Wednesday, 25 July, 2007 14:59 +0200 Brian E Carpenter
<[email-masked]> wrote:

>> In the WG meeting today, it was strongly suggested that the
>> IETF would  benefit from having its rules for licences from
>> authors and authors'  rights be compatible with the SPARC
>> Author Addendum, which makes sure an  author continues to
>> have the right to reuse his contribution in other  contexts.
>...
 
>> With some massage to fit with our commonly used vocabulary, I
>> think  adding such a section to the -incoming document (and
>> explaining that our  intent is to be compatible with the
>> SPARC addendum) is a Good Thing.
>> 
> 

Having started this particular thread by pointing to the SPARC
stuff during the WG meeting, a few comments...

(1) Our traditional principle is that the author retains all
rights but gives the IETF permission to do certain things.  That
retention of rights applies not just to use of materials the
author put into the system (I-Ds and, given the text of the Note
Well, the principles behind which were always the intent,
mailing list postings, miscellaneous utterings, etc.) but also
to use of material in the RFCs post-editing and as published.

(2) There are arguments that are good enough to persuade me that
we should change that so that the IETF Trust ends up holding the
copyright in the RFC publication form of the work.  One can get
from here to there by various paths on which I'm not going to
comment, but the principle is that the RFCs should belong to the
IETF [Trust] and not the authors.    YMMD on that principle.

However, if one accepts that principle, even for purposes of
discussion, then retention of the author's rights as understood
historically (and as summarized in (1)) requires that the IETF
Trust irrevocably leave authors with those rights needed to do
substantially anything they could do under (1).  Two things are
_not_ sufficient for that purpose.  

	(i) The WG and IETF advise the IPR Trust to provide such
	a license.  This doesn't work because what the IETF
	and/or Trust can give, they can take back... if not for
	one particular document, then for the next request that
	comes along.
	
	(ii) Statement that the author retains all rights in the
	_original_ contribution (i.e., the I-D or equivalent).
	To preserve rights the authors have today, the authors
	must have fairly broad rights to use the RFC as
	published, not merely to use the pre-editing,
	pre-combination version.  

Note that, ironically given other decisions we have made, there
is a bit of the flavor of the GPL in this: Authors contribute
rights to the IETF but, in return, get those same rights back to
what the IETF, and the IETF's editing and publication processes,
derive from that document.   But, unlike the GPL, that reverse
grant does not need to be either global or contagious for this
purpose.

(3) I pointed to the SPARC stuff for two reasons.  One was to
point out that there is some precedent for authors making the
right things happen by reserving rights or by transferring
rights on condition of certain licenses being given to the
authors.  By making handing things over to the contingent on
such licenses, there is no issue of the IETF somehow deciding
that author use of published RFCs for their own purposes is a
revenue opportunity (as many academic publishers have done for
years).  It was _not_ to suggest that either the specific
language of the SPARC materials was right for us (our
terminology differs and that, at least, would need some mapping)
or that the SPARC-based rights were the precise set that were
necessary and sufficient for our needs.

The second reason was to point out that there are contributors
to the IETF and its work who can contribute under the existing
rules but who would be prohibited by their institutional
employers from contributing without something equivalent to (or
a superset of) the SPARC grant-back (or reservation) of rights.
That condition is very much connected to the SPARC text because
several institutions have written their rules to cite the SPARC
ones.   Unless we want to start telling people who have been
contributing actively to the IETF that they can't do it any
more, a new model of copyright ownership that would prevent them
from contributing ought to me, IMO, a complete non-starter.

      john

---

From: "todd glassey" <[email-masked]>
Date: Fri, 27 Jul 2007 16:03:53 -0700

John -

----- Original Message ----- 
From: "John C Klensin" <[email-masked]>
To: "Brian E Carpenter" <[email-masked]>; "Harald Tveit 
Alvestrand" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, July 27, 2007 2:36 PM
Subject: Re: SPARC Author Addendum compatibility

>>> SPARC addendum) is a Good Thing.

It may be critical moving forward.

> rights but gives the IETF permission to do certain things.

But "used for what is the question". This has always been my objection, the 
IETF doesnt need any more rights than what are needed to make the Standard. 
And there is no cause to make this IP free and available, beyond its use as 
a Standard.

What the IETF is now requiring the submitter to do is to convey open use for 
anything to the IETF Trust, and in fact in doing that they _do not control_ 
the IP any longer.  That is extortion especially with those who have 
previously submitted media whether published or not IMHO.

> That

OK, but that is NOT what is happening under BCP78 and BCP79. The argument is 
simple, if the SUBMITTER is conveying 'ANY AND ALL USES' to the IETF then 
they can hardly  control their IP any longer, and in fact while they may 
technically own the original submittal, they will never be able to patent it 
or any derivatives without tons of pain.

Isnt that Information Terrorism by the way?

> copyright in the RFC publication form of the work.

This is where I start to disagree... The IETF Trust may be an abomination - 
its certainly an accident waiting to happen. It (the Trust) would have been 
a great idea if the IETF was something that it is not... and cannot be 
either based on years of documents published under previously much looser 
participation requirements. Making them tougher now in the sense of forcing 
the IP to belong to the IETF itself or its 3rd party Agent, the Trust, is 
extortion from those previous participants IMHO.

> One can get

I do.

> necessary and sufficient for our needs.

Although the IETF could use SPARC directly and with minimal changes too.

> a superset of) the SPARC grant-back (or reservation) of rights.

Which will come to effect more and more of our Academic Contributors over 
the long run.

> ones.

research Institutions are also picking up SPARC as well for many of their 
papers externally as well.

> Unless we want to start telling people who have been

There is another question to ask, and that is whether those institutions 
that mandate SPARC compliance will allow people on their staff or otherwise, 
to publish outside of the SPARC format personally when their professional 
life requires it, especially if their academic roles or focus is particular 
to those areas which might interest the IETF.

Seriously - John is right - without adopting SPARC or provisions compatible 
with it, there may very soon come a time when Academic Contributions from a 
number of key places cease and those people working there will have their 
continued participation with those entities made reliant on their keeping 
those agreements with their Academic Sponsors... bluntly that means you 
cannot leave the University and go home and write a paper for the IETF on 
anything if your work for the University is constrained by SPARC because 
they own derivatives of your work products whether done on their time or not 
in most instances.

That said you will see changes from Academic General Counsel's in response 
to SPARC questions in the near future I am betting and the response is "Yes 
we embrace SPARC".

Todd

---

From: Simon Josefsson <[email-masked]>
Date: Sat, 28 Jul 2007 17:22:55 +0200

> to use of material in the RFCs post-editing and as published.

That isn't clear to me, and seems dubious from a legal point of view.

I have interpreted "author retains all rights" to mean that the author
retains the copyright of the material she contributed.  The author is
never given rights to other material that the author did not contribute,
at least not as far as I can see in RFC 3978.

> IETF [Trust] and not the authors.    YMMD on that principle.

I strongly disagree with this, unless the IETF Trust license all of, and
the entirety of, contributions to everyone under a liberal license.

> 	one particular document, then for the next request that

I believe that we should address this by stating that the outgoing
license can never be retroactively revoked.  I hope this is the
intention of the WG, but alas, the outgoing documents is underspecified
on this topic.

> from contributing ought to me, IMO, a complete non-starter.

I don't buy that: the current license proposals aren't that much
different from what is in effect now.  If they have a problem with the
current proposal, I'd expect them to have even more problems with the
current license.

The actual text of the SPARC addendum seems harmful to me, and radically
different from the IETF tradition.  The SPARC addendum gives authors
more limited rights compared to what authors are given by the IETF
today.  The reason for citing SPARC addendum's in organization is
presumably so that authors retain at least the rights guaranteed by the
SPARC addendum.  The IETF's current and proposed rules gives authors
more rights.  I don't understand why they would object to that?  Do
these organization want to release more rights than what they have?
That seems surprising to me.

/Simon

---

From: John C Klensin <[email-masked]>
Date: Sat, 28 Jul 2007 13:00:41 -0400

--On Saturday, 28 July, 2007 17:22 +0200 Simon Josefsson
<[email-masked]> wrote:

>> That retention of rights applies not just to use of materials
>> the author put into the system (I-Ds and, given the text of
>> the Note Well, the principles behind which were always the
>> intent, mailing list postings, miscellaneous utterings, etc.)
>> but also to use of material in the RFCs post-editing and as
>> published.
> 

Simon, there is a very clear tradition about how RFCs, and RFC
Contributions, were handled over time, starting long before
there was an IETF.  When I talk about "traditional principles",
I am talking about that tradition.   One of the properties of
that tradition was that the IETF was permitted to use documents
in any way it needed within the standards process, that anyone
was able to reproduce, distribute, or translate RFCs in toto.
In principle, any other uses by anyone else that required
permission necessitated the would-be user to work that out with
the author(s).   One can either like that or not, consider it
practical and/or legally reasonable or not, but I believe it is
a correct characterization of the long-term principles and
assumptions. 

It is also clear that the IETF has been moving away from that
model  in its published statements and boilerplate.  Some of
those moves, such as more flexibility for the use of "code",
have obviously been necessary and the changes clearly represent
community consensus -- at least of the IETF community if not of
the RFC-user community.  Others have been consequences of a
gradual shift in the perceived role of the IETF from a body that
does engineering work that promotes Internet interoperability to
a standards body with an interest in controlling and promoting
the use of its products.  And still others have been accidents
of how particular documents were worded -- sometimes nibbling
away at rights in sufficiently small units that no one has felt
motivated to object loudly.

Because "the IETF Trust is the sole owner of the copyright in a
complete RFC" is a major step --both from the original principle
and from where I believe we stand today-- I don't want to see it
slip through without community discussion.  That does not
indicate that I think it is a bad idea because I don't; I just
believe that we need to identify consequences we might not like
and deal with them.

> I have interpreted "author retains all rights" to mean that
> the author retains the copyright of the material she
> contributed.  The author is never given rights to other
> material that the author did not contribute, at least not as
> far as I can see in RFC 3978.

Clearly you are not the only one who interpreted things that
way.  It is not the original interpretation.  And, as you can
probably infer from the above, I don't really care what 3978
says or appears to say: if we were convinced that it was
adequate, this WG would have been closed long ago.

>> (2) There are arguments that are good enough to persuade me
>> that we should change that so that the IETF Trust ends up
>> holding the copyright in the RFC publication form of the
>> work.  One can get from here to there by various paths on
>> which I'm not going to comment, but the principle is that the
>> RFCs should belong to the IETF [Trust] and not the authors.
>> YMMD on that principle.
> 
> I strongly disagree with this, unless the IETF Trust license
> all of, and the entirety of, contributions to everyone under a
> liberal license.

Of course, such a license would be a superset of the SPARC one.
I imagine that we can argue its merits (or not) elsewhere.  But
note that, if you believe that authors have no rights in an RFC
other than to the text of their original contributions, this
shift in copyright status --based on the work of the RFC Editor
and the compilation associated with adding boilerplate that
clearly belongs to the IETF-- changes almost nothing.

> I believe that we should address this by stating that the
> outgoing license can never be retroactively revoked.  I hope
> this is the intention of the WG, but alas, the outgoing
> documents is underspecified on this topic.

Preventing revocation of the outgoing license is no protection
against future changes for future outgoing licenses.  And I note
that there is a window between submission of incoming materials
and  issuance of outgoing ones (with whatever license they
carry).  Submitting something with an inbound license that gives
the IETF very broad authority on the assumption that the
outbound license in effect when the document is published is
probably safe in all foreseeable circumstances, but is just not
legally sensible.

>> employers from contributing without something equivalent to
>> (or a superset of) the SPARC grant-back (or reservation) of
>> rights. That condition is very much connected to the SPARC
>> text because several institutions have written their rules to
>> cite the SPARC ones.   Unless we want to start telling people
>> who have been contributing actively to the IETF that they
>> can't do it any more, a new model of copyright ownership that
>> would prevent them from contributing ought to me, IMO, a
>> complete non-starter.
> 
> I don't buy that: the current license proposals aren't that
> much different from what is in effect now.  If they have a
> problem with the current proposal, I'd expect them to have
> even more problems with the current license.

That is not the interpretation of some of the people involved.
In particular, there is almost nothing in the existing
procedures, and nothing at all in the model contemplated by
"outgoing" that would legally prevent the IETF Trust from
charging an author a small fee for including an RFC on the
author's web site or a fee for making a large, non-code, excerpt.

> The actual text of the SPARC addendum seems harmful to me, and
> radically different from the IETF tradition.  The SPARC
> addendum gives authors more limited rights compared to what
> authors are given by the IETF today.  The reason for citing
> SPARC addendum's in organization is presumably so that authors
> retain at least the rights guaranteed by the SPARC addendum.
> The IETF's current and proposed rules gives authors more
> rights.
>...

That is not clear.  See out difference of opinion about the
rights authors now have to the published form of RFCs above.
And, again, I'm not concerned about the rules we intend to have,
or the rules that we _suggest_ to the IETF Trust that they
adopt, but in limiting the ability of the Trust to adopt
author-hostile rules.   While I'm not worried about the ethics
of the individuals involved today, I also note that, if there is
ever a conflict between the needs and desires of the IETF, and
suggestions from the IETF to the Trust reflecting those needs
and desires, and the needs or desires of the Trust and/or IASA,
having the same person or firm as counsel for both could
constitute a conflict of interest.

And, again, I cited SPARC as a minimum if the IETF is going to
strongly assert copyright over the RFCs.   If the IETF is not
going to do that, then we are left with the current ambiguous
situation with which, I, at least, can life.  If we are going to
do that, then I think there needs to be clear grants back to
authors that are at least as strong as SPARC.  As someone who is
still attached to the original principles and intent, I have no
objections at all to making them a lot stronger.

    john

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sat, 28 Jul 2007 13:22:28 -0400

Note for clarification, and a suggestion for resolution.

The below "requirement" would be a change from what the WG is 
requesting.  However, given the rules as we are writing them, the 
trust could make such a change.  (The fact that I, and even John I 
suspect, consider that unlikely does not change the fact that it is 
legally possible.)

Therefore, as I understand this particular issue, what is needed is a 
statement in the inbound rights grant that the authors, as a 
condition of the inbound rights grant, will be granted the outbound 
rights to copy / extract from the RFC.  II believe the authors do not 
need the rights to make changes to the RFC, just the rights to copy / 
extract.

Yes, that puts a tiny outbound constraint in inbound.  So be it.  The 
actual point (and I think it is a useful result of separating teh two 
documents) is that this constraint MUST be an inbound constraint in 
order to meet the SPARC conditions.

Yours,
Joel

---

From: "Lawrence Rosen" <[email-masked]>
Date: Sat, 28 Jul 2007 11:09:54 -0700

> adequate, this WG would have been closed long ago.

I am confused by the arguments in this thread. There is nothing inconsistent
between "the IETF Trust is the sole owner of the copyright in a complete
RFC" and "author retains all rights" to a contribution in that RFC. As
pointed out previously on this list, copyright law makes that possible by
distinguishing between the copyright in a contribution and the [different]
copyright in a collective or derivative work that uses that contribution.

The FAQ for the SPARC Author Addendum partially confirms that: "Publishers
require only your permission to publish an article, not a wholesale transfer
of copyright. Hold onto rights to make use of the work in ways that serve
your needs and that promote education and research activities." (See
http://www.arl.org/sparc/author/addendum.html.) 

IETF should do it that way, and not follow the path of publishers who demand
more than they need.

The suggestion that the author of a contribution assign her copyrights to
IETF with a license-back is unnecessary legal work. All that IETF needs is a
license that (1) allows IETF to publish the contribution and derivative
works thereof in an RFC, and (2) allows anyone to copy and implement the
resulting IETF specification, and to practice and sell resulting software or
hardware, without payment of royalties or other onerous conditions.

How is that different from or inconsistent with the traditional principles
of IETF?

/Larry

P.S. As an author, I myself will NEVER assign my copyright to a publisher.
They don't need it and I won't give it away. 

Lawrence Rosen
Rosenlaw & Einschlag, a technology law firm (www.rosenlaw.com)
3001 King Ranch Road, Ukiah, CA 95482
707-485-1242 * cell: 707-478-8932 * fax: 707-485-1243
Skype: LawrenceRosen
Author of "Open Source Licensing: Software Freedom and 
                Intellectual Property Law" (Prentice Hall 2004)

---

From: John C Klensin <[email-masked]>
Date: Sat, 28 Jul 2007 14:44:29 -0400

--On Saturday, 28 July, 2007 11:09 -0700 Lawrence Rosen
<[email-masked]> wrote:

> I am confused by the arguments in this thread. There is
> nothing inconsistent between "the IETF Trust is the sole owner
> of the copyright in a complete RFC" and "author retains all
> rights" to a contribution in that RFC.

Nor, to my knowledge, has anyone claimed otherwise.

> As pointed out
> previously on this list, copyright law makes that possible by
> distinguishing between the copyright in a contribution and the
> [different] copyright in a collective or derivative work that
> uses that contribution.

Ditto.

> The FAQ for the SPARC Author Addendum partially confirms that:
> "Publishers require only your permission to publish an
> article, not a wholesale transfer of copyright. Hold onto
> rights to make use of the work in ways that serve your needs
> and that promote education and research activities." (See
> IETF should do it that way, and not follow the path of
> publishers who demand more than they need.

Yes.
 
> The suggestion that the author of a contribution assign her
> copyrights to IETF with a license-back is unnecessary legal
> work. All that IETF needs is a license that (1) allows IETF to
> publish the contribution and derivative works thereof in an
> RFC, and (2) allows anyone to copy and implement the
> resulting IETF specification, and to practice and sell
> resulting software or hardware, without payment of royalties
> or other onerous conditions.

Yes.

> How is that different from or inconsistent with the
> traditional principles of IETF?

The place where we have a disconnect is that the traditional
view of RFCs is that the RFC Editor acts more or less as the
author's agent in producing the final RFC.  As such, the author
retains copyright, not only to what goes to the RFC Editor, but
to what is published --all of it, in its final form-- and
licenses to the IETF only what the IETF needs (per your comments
above).  

Put differently, there is an _input_ to the RFC Editing,
production, and publication process (the contributions of the
author(s)) and an _output_ from that process (the published form
of the RFC).   Under the traditional model, the author owns the
copyright to both, the IETF gets a license to what it needs, and
the community gets a license, from the author(s) to reproduce,
distribute, etc.

The proposed new model, as I understand it, is that the author
retains rights only to the input, but that the output belongs to
the IETF Trust.  The author has no _inherent_ rights to the
latter.  Any rights the author has to either the compiled work
or to any modifications the RFC Editor makes to the portion of
the compiled work that is the original contribution exist only
if there is a license from the IETF Trust to the Author.  

If we are to adopt this revised model at all (and I will leave
that to others to debate), then what I'm looking for is a
requirement (not a request to the Trust that they can ignore or
a statement from the IETF that can be changed) that leaves the
original authors with substantially the same rights in the
output of the editing process that they have been assumed to
have for years.

    john

---

From: John C Klensin <[email-masked]>
Date: Sat, 28 Jul 2007 14:59:27 -0400

--On Saturday, 28 July, 2007 13:22 -0400 "Joel M. Halpern"
<[email-masked]> wrote:

> requesting.  However, given the rules as we are writing them,
> the trust could make such a change.  (The fact that I, and
> even John I suspect, consider that unlikely does not change
> the fact that it is legally possible.)

Yes, I concur.
 
> Therefore, as I understand this particular issue, what is
> needed is a statement in the inbound rights grant that the
> authors, as a condition of the inbound rights grant, will be
> granted the outbound rights to copy / extract from the RFC.
> II believe the authors do not need the rights to make changes
> to the RFC, just the rights to copy / extract.

Yes, that is also correct.

> Yes, that puts a tiny outbound constraint in inbound.  So be
> it.  The actual point (and I think it is a useful result of
> separating teh two documents) is that this constraint MUST be
> an inbound constraint in order to meet the SPARC conditions.

Yes.  Or any set of conditions that satisfy those base
requirements.  I didn't mean to express any particular affection
for SPARC, although use of some thing obviously equivalent has
some pragmatic advantages.  If SPARC doesn't do the job we need,
we shouldn't use SPARC.  

The goal is only to be sure that the author has rights to copy,
extract from, and republish the RFC, that, if there are multiple
authors, they _all_ have those rights wrt the collective (output
as published) work, and that those rights are not dependent on
anything the IETF Trust might subsequently decide to do or to
license to others.  Authors have never had the right to modify
the text of an RFC (other than by translation) and to publish
the result in a way that others would confuse with the
authoritative version of the RFC and I am not proposing to give
it to them -- that would just violate good sense and good policy.

regards,
   john

---

From: "Lawrence Rosen" <[email-masked]>
Date: Sat, 28 Jul 2007 13:49:58 -0700

> output of the editing process that they have been assumed to

And leaves *everyone* with substantially those same rights.... With that
important change, I agree with you. 

It seems reasonable to make that requirement a part of the Trust bylaws or
articles of incorporation, with a supermajority requirement to change that.
I haven't read those documents; perhaps the public interest is already
sufficiently protected?

/Larry

> -----Original Message-----
> From: John C Klensin [mailto:[email-masked]]
> Sent: Saturday, July 28, 2007 11:44 AM
> To: [email-masked]; [email-masked]
> Subject: RE: SPARC Author Addendum compatibility
> 
> 
>

---

From: "Bill Fardy" <[email-masked]>
Date: Sat, 28 Jul 2007 17:06:38 -0400

""The place where we have a disconnect is that the traditional
view of RFCs is that the RFC Editor acts more or less as the
author's agent in producing the final RFC.""

wouldn't it be more accurate to view the editor not as a mere agent but as
someone who authors a new, distinct copyrightable work derived from the
author(s)' (and others) input?

the confusion seems to arise because the above view of the RFC editor's role
implies that the RFC is not a derived work.

---

From: John C Klensin <[email-masked]>
Date: Sat, 28 Jul 2007 17:20:58 -0400

--On Saturday, 28 July, 2007 17:06 -0400 Bill Fardy
<[email-masked]> wrote:

> wouldn't it be more accurate to view the editor not as a mere
> agent but as someone who authors a new, distinct copyrightable
> work derived from the author(s)' (and others) input?
> 
> the confusion seems to arise because the above view of the RFC
> editor's role implies that the RFC is not a derived work.

As I understand it, that change is precisely what is being
proposed.  With the usual IANAL qualification, I don't believe
it is a matter of "accurate", but of figuring out who is acting
for whom.  Note that, if I recall, the current RFC Editor
contract specifies that anything the RFC Editor does is done as
a work for hire by the IETF (or IASA, IAOC, ISOC, or IETF
Trust).  That provision was not present historically.

    john

---

From: John C Klensin <[email-masked]>
Date: Sat, 28 Jul 2007 17:26:02 -0400

--On Saturday, 28 July, 2007 13:49 -0700 Lawrence Rosen
<[email-masked]> wrote:

>> requirement (not a request to the Trust that they can ignore
>> or a statement from the IETF that can be changed) that leaves
>> the original authors with substantially the same rights in the
> And leaves *everyone* with substantially those same rights....
> With that important change, I agree with you. 
> 
> It seems reasonable to make that requirement a part of the
> Trust bylaws or articles of incorporation, with a
> supermajority requirement to change that. I haven't read those
> documents; perhaps the public interest is already sufficiently
> protected?

For those of us who are sufficiently paranoid to not trust even
supermajorities (as was suggested earlier, I'm concerned about
the principle here, rather than the likely practice), I'd rather
have that condition as a requirement the author attaches at
submission, rather than something the Trust could change even by
unanimous vote.  The IETF would have to recommend that The Trust
accept documents containing that condition for IETF use, but
since, if it stopped doing so, the IETF would be unable to
function, I'm comfortable trusting that one.

And that is where SPARC came in: not as a specific proposal for
the language that was needed but as an illustration of how
author's rights can be reserved as a condition of submission
rather than granted back by the publisher or compiler.

      john

---

From: "TS Glassey" <[email-masked]>
Date: Sat, 28 Jul 2007 14:32:18 -0700

----- Original Message ----- 
From: "Bill Fardy" <[email-masked]>
To: "John C Klensin" <[email-masked]>; <[email-masked]>; 
<[email-masked]>
Sent: Saturday, July 28, 2007 2:06 PM
Subject: Re: SPARC Author Addendum compatibility

> author(s)' (and others) input?

We argued this before ... My assertion was that the RFC Editor's output was 
a derivative of the submission if any editing was done.

---

From: "TS Glassey" <[email-masked]>
Date: Sat, 28 Jul 2007 15:24:36 -0700

Counsel -
This is where you and I disagree. As it happens, the IETF is charted with a 
limited scope or preview and that is to create Internet Standards and the 
supporting efforts. In that vein, the IETF cannot require the owners of the 
IP to give them away free to make a standard. The IETF can and should get 
all rights it needs to create a standard and nothing more. The IETF is a 
standards process and not a mechanism of forcing IP to be freely licensed 
with no restrictions on it. If the IETF does not charge to use its standards 
then it has satisfied its goals and charter 100%.

When the IETF becomes a vector for political expression, then it looses it 
objectivity and open.fairness as well since it openly practices a 
prejudicial method of expelling all those that wont 'give the IETF any and 
all rights'.

The reality is that the Standards Process only requires the following:

    1)    The rights to publish, edit, and republish as part of the 
standards and standards maintenance processes
    2)    The rights to implement to two or more instances of the reference 
protocol/process implementation for the purpose of qualifying the standard.

There is no need in the creation of the standard to make the use of "the 
derivaive rights free" enablement unless that is the intent of the 
contributors.  To prevent that IP from ever being protectable.

If that is the intent then the legal backers of the participants must also 
agree to this fundamental shift in IETF operating policy. This is something 
that the contributor's should understand - they are not just ceeding 
publication rights to the IETF they are ceeding derivative use licensing 
such that they will no longer control those ever. They cannot rescind those 
conveyances under the language of the original transfer (in BCP78) so . 
There is no use or reason to make republishing the standards process 
materials for any other purpose that satisfying the creation and maintenance 
of the effort.

How would that agreement process which involves the sponsors happen?

----- Original Message ----- 
From: "Lawrence Rosen" <[email-masked] >
To: <[email-masked]>
Sent: Saturday, July 28, 2007 11:09 AM
Subject: RE: SPARC Author Addendum compatibility

/Larry

Lawrence Rosen